/**
 * ParticipationInformationGenerator.java
 *
 * File generated from the medication::ParticipationInformationGenerator uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationInformationGenerator.
 *
 * 
 */

@XmlType(name = "ParticipationInformationGenerator")
@XmlEnum
@XmlRootElement(name = "ParticipationInformationGenerator")
public enum ParticipationInformationGenerator {
	@XmlEnumValue("AUT")
	AUT("AUT"),
	@XmlEnumValue("ENT")
	ENT("ENT"),
	@XmlEnumValue("INF")
	INF("INF"),
	@XmlEnumValue("WIT")
	WIT("WIT");
	
	private final String value;

    ParticipationInformationGenerator(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ParticipationInformationGenerator fromValue(String v) {
        for (ParticipationInformationGenerator c: ParticipationInformationGenerator.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}